Bug 613515 - Cannot configure more than one pagers for a dual monitor setup
Cannot configure more than one pagers for a dual monitor setup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-panel (Show other bugs)
15
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 01:47 EDT by Suvayu
Modified: 2012-08-07 16:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:14:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is my ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml file (4.56 KB, text/xml)
2010-07-12 01:47 EDT, Suvayu
no flags Details
This is my ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml file (1.77 KB, text/xml)
2010-07-12 01:48 EDT, Suvayu
no flags Details
This is my configuration for the 1st pager (40 bytes, text/plain)
2010-07-12 01:50 EDT, Suvayu
no flags Details
This is my configuration for the 2nd pager (40 bytes, text/plain)
2010-07-12 01:51 EDT, Suvayu
no flags Details

  None (edit)
Description Suvayu 2010-07-12 01:47:01 EDT
Created attachment 431074 [details]
This is my ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfwm4.xml file

Description of problem:
For a dual monitor setup, its not possible to configure two pagers.

I have a dual monitor setup with xfce on F13. I would like to have a workspace switcher on either of my screens. I have a  panel at the bottom of my primary screen with a workspace switcher applet, and I have another panel on my second screen. I have both the applets set to the 2 row view.

Every time I log out or restart the panel rather, the workspace switcher on my second screen defaults back to the default one row setup, even though I have both of them setup as two rows. Right clicking the faulty applet and bringing up the properties dialogue shows me, its correctly set to 2. However changing the number has no effect on it.

Version-Release number of selected component (if applicable):
xfce4-panel-4.6.4-1.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1.add a pager on one panel, and configure as you wish. (e.g. 2 rows)
2.add another pager with the same configuration.
3.log out log back in or restart the panel from the run dialogue with "xfce4-panel -r"
4.the 2nd pager defaults back to the default 1 row setup.
  
Actual results:
on a new login, or restarting the panel it doesn't preserve the row settings for the 2nd pager

Expected results:
it should preserve the settings for both of the pagers.

Additional info:
Only thing that works is to remove the 2nd pager and add it again. When I add it, it shows up as 2 rows, but the properties dialogue still shows 1 row. I change it to 2 before closing. On logging out, its again back to the default one row.

I don't know whether this is relevant or not, I didn't notice this before since I bought the second monitor recently. So when F13 was installed there was one monitor, and the 2nd monitor is a later addition.
Comment 1 Suvayu 2010-07-12 01:48:11 EDT
Created attachment 431076 [details]
This is my ~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml file
Comment 2 Suvayu 2010-07-12 01:50:50 EDT
Created attachment 431077 [details]
This is my configuration for the 1st pager

I know this is the 1st pager configuration since the number matches the number in my ~/.config/xfce4/panel/panels.xml file
Comment 3 Suvayu 2010-07-12 01:51:33 EDT
Created attachment 431078 [details]
This is my configuration for the 2nd pager
Comment 4 Christoph Wickert 2010-07-16 16:29:43 EDT
Thanks for reporting the bug and providing all the info. I have forwarded your report to the Xfce developers at http://bugzilla.xfce.org/show_bug.cgi?id=6555

Feel free to subscribe to the upstream bug report in order to keep track of changes. Even if you don't, you will be notified if the problem is resolved in Fedora. I will get back to you if I need more info.
Comment 5 Christoph Wickert 2010-07-16 16:31:34 EDT
http://bugzilla.xfce.org/show_bug.cgi?id=5024 might be related.
Comment 6 Jan "Yenya" Kasprzak 2011-05-24 06:00:15 EDT
Still present in F15 xfce4-panel-4.8.3-2.fc15.x86_64.
Comment 7 Fedora End Of Life 2012-08-07 16:14:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.